Groovy 1.7.0

## groovy.lang
Class ExpandoMetaClass.DefiningClosure

    java.lang.Object
      groovy.lang.GroovyObjectSupport
          groovy.lang.ExpandoMetaClass.DefiningClosure

    class ExpandoMetaClass.DefiningClosure
    extends GroovyObjectSupport

Field Summary
`boolean` | `definition`

Constructor Summary
`ExpandoMetaClass.DefiningClosure()`

Method Summary
`void` | `define(Class subClass, Closure closure)`
`Object` | `getProperty(String property)`
`Object` | `invokeMethod(String name, Object obj)`
`void` | `mixin(Class category)`
`void` | `mixin(List categories)`
`void` | `mixin(Class[] categories)`
`void` | `setProperty(String property, Object newValue)`

Methods inherited from class GroovyObjectSupport
getMetaClass, getProperty, invokeMethod, setMetaClass, setProperty

Methods inherited from class Object
wait, wait, wait, hashCode, getClass, equals, toString, notify, notifyAll

Field Detail

### definition

    boolean definition

Constructor Detail

### ExpandoMetaClass.DefiningClosure

    ExpandoMetaClass.DefiningClosure()

Method Detail

### define

    public void define(Class subClass, Closure closure)

### getProperty

    public Object getProperty(String property)

### invokeMethod

    public Object invokeMethod(String name, Object obj)

### mixin

    public void mixin(Class category)

### mixin

    public void mixin(List categories)

### mixin

    public void mixin(Class[] categories)

### setProperty

    public void setProperty(String property, Object newValue)

Copyright © 2003-2009 The Codehaus. All rights reserved.